import {createElement} from "../../_global/scripts/helpers";
import {createHeader} from "../../components/header/HeaderComponent";
import {createMagazineHeader} from "../../components/magazine-header/MagazineHeaderComponent";
import {createTeasersSection} from "../../sections/teasers/TeasersComponent";
import {createQuickFacts} from "../../sections/quick-facts/QuickFactsComponent";
import {createSurvey} from "../../sections/survey/SurveyComponent";
import {createFooter} from "../../components/footer/FooterComponent";

export const createMagazineStartPage =
  ({

  }) => {
    const page = createElement('div', ['page', 'magazine-start']);
    const header = createHeader({});
    const magazineHeader = createMagazineHeader({});
    page.appendChild(header);
    page.appendChild(magazineHeader);

    const wrapper = createElement('div', ['page-wrapper'], null, page);
    const pageContent = createElement('div', ['page-content'], null, wrapper);

    pageContent.appendChild(createTeasersSection({
      type: 'fullwidth',
      showReadingTime: true,
    }));

    pageContent.appendChild(createTeasersSection({
      type: 'magazine',
      showReadingTime: true,
      hideKicker: true,
      headline: 'Schwerpunkt: Die Krise als Chance',
      background: 'lightblue',
    }));

    pageContent.appendChild(createSurvey({}));
    pageContent.appendChild(createQuickFacts({}));

    page.appendChild(createFooter({}));

    return page;
  }